# QVM: Quaternions, Vectors, Matrices

### operator+(quat,quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value && is_quat<B>::value &&
            template <class A,class B>
            typename deduce_quat2<A,B>::type
            operator+( A const & a, B const & b );
        }
    }

#### Returns:

A quaternion with elements equal to the elements of a added to the corresponding elements of b.

See also: boost/qvm/quat_operations.hpp